SwishResults->seekResult
SwishSearch->resetLimit
Swish Functions
PHP Manual

# SwishSearch->execute

(No version information available, might be only in CVS)

SwishSearch->execute — Execute the search and get the results

### Description

object SwishSearch->execute ([ string `$query` ] )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Searches the index file(s) based on the parameters set in the search object.

### Parameters

`query`

  The query string is an optional parameter, it can be also set using Swish->prepare() method. The query string is preserved between executions, so you can set it once, but execute the search multiple times.

### Return Values

Returns SwishResults object.

### Errors/Exceptions

Throws SwishException on error.

### Examples

Example #1 Basic SwishSearch->execute() example

`<?php
try {
$swish = new Swish("index.swish-e");
$search = $swish->prepare();
$results = $search->execute("query");
echo "First query found: ", $results->hits, " hits\n";
$results = $search->execute("new OR query");
echo "Second query found: ", $results->hits, " hits\n";
} catch (SwishException $e) {
echo $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    First query found: 2 hits
    Second query found: 12 hits

SwishResults->seekResult
SwishSearch->resetLimit
Swish Functions
PHP Manual